Subject: bug#7425: Acknowledgement (23.2.90; buffer menu in meun-bar not updating)

From: Bob van der Poel <[email-masked]>
Date: Fri, 19 Nov 2010 09:56:00 -0700

On Thu, Nov 18, 2010 at 11:42 PM, Jan Djärv <[email-masked]> wrote:

> Does it help to
> % unset UBUNTU_MENU_PROXY
> before starting Emacs?

Okay, just for others it appears to be UBUNTU_MENUPROXY

And, the good news is that it works now with or without appmenu-gtk
being installed. Either way I get my buffer list AND with it
uninstalled I no longer get the spew of warnings.

Not sure if this is a fix or not ...

Any idea where this variable is being set? Oh ... and this might end
up being a Ubunutu bug. In:

   /etc/X11/Xsession.d

there is a file:

  80appmenu

which has one line:

  export UBUNTU_MENUPROXY="libappmenu.so"

Removing appmenu-gtk does NOT remove this file! So, when removing
appmemu one should manually remove that as well. It could be a problem
with my system being upgraded from 9.10 to 10.10 (not reinstalled).
Reason I'm thinking this is that if I reinstall appmenu-gtk I don't
get this file back. Mind you, reinstalling appmenu does mean I lose
the buffer menu updates in emacs.

So, I think the workaround is:

  - remove appmenu-gtk
  - make sure the file /etc/X11/Xsession.d/80appmenu

is removed.

Sure hope this helps.

>
>> My _guess_ is that emacs is:
>>
>>  - not configuring something when setting up its gtk interface,
>>
>
> No.
>
>>  or
>>
>>  - my system is missing a DBUS setting.
>
> Probably not.
>
>>
>> Hope we can get the resolved. I'm using a lucid version of emacs I
>> compiled the other day and it works fine (but I don't like the
>> appearance of the lucid stuff).
>>
>>
>
>        Jan D.
>

-- 
**** Listen to my CD at http://www.mellowood.ca/music/cedars ****
Bob van der Poel ** Wynndel, British Columbia, CANADA **
EMAIL: [email-masked]
WWW:   http://www.mellowood.ca